LibreOffice LibreOffice 26.2 SDK API Reference

Public Member Functions | List of all members
XModify Interface Reference

The interface used for modifying the package database. More...

`import"XModify.idl";`

Inheritance diagram for XModify:

## Public Member Functions
void | InstallPackageFiles ([in] sequence< string > files, [in] string interaction)
| Installs local package sequence< string > files or service packs. More...
void | InstallProvideFiles ([in] sequence< string > files, [in] string interaction)
| Installs sequence< string > packages to provide sequence< string > files. More...
void | InstallCatalogs ([in] sequence< string > files, [in] string interaction)
| Installs sequence< string > packages to provide sequence< string > files. More...
void | InstallPackageNames ([in] sequence< string > packages, [in] string interaction)
| Installs sequence< string > packages from a configured software source. More...
void | InstallMimeTypes ([in] sequence< string > mimeTypes, [in] string interaction)
| Installs mimetype handlers from a configured software source. More...
void | InstallFontconfigResources ([in] sequence< string > resources, [in] string interaction)
| Installs fontconfig resources ( [in] usually fonts) from a configured software source. More...
void | InstallGStreamerResources ([in] sequence< string > resources, [in] string interaction)
| Installs GStreamer resources ( [in] usually codecs) from a configured software source. More...
void | InstallResources ([in] sequence< string > types, [in] sequence< string > resources, [in] string interaction)
| Installs resources of a given type from a configured software source. More...
void | RemovePackageByFiles ([in] sequence< string > files, [in] string interaction)
| Removes sequence< string > packages that provide the given local sequence< string > files. More...
void | InstallPrinterDrivers ([in] sequence< string > files, [in] string interaction)
| Installs printer drivers from a configured software source. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

The interface used for modifying the package database.

See also
  https://git.gnome.org/browse/gnome-software/tree/src/org.freedesktop.PackageKit.Modify2.xml for documentation of the corresponding D-Bus interface

## Member Function Documentation

## ◆ InstallCatalogs()

void InstallCatalogs | ( | [in] sequence< string > | files,
|  | [in] string | interaction
| ) |  |

Installs sequence< string > packages to provide sequence< string > files.

Since
  LibreOffice 4.0

## ◆ InstallFontconfigResources()

void InstallFontconfigResources | ( | [in] sequence< string > | resources,
|  | [in] string | interaction
| ) |  |

Installs fontconfig resources ( [in] usually fonts) from a configured software source.

Since
  LibreOffice 4.0

## ◆ InstallGStreamerResources()

void InstallGStreamerResources | ( | [in] sequence< string > | resources,
|  | [in] string | interaction
| ) |  |

Installs GStreamer resources ( [in] usually codecs) from a configured software source.

Since
  LibreOffice 4.0

## ◆ InstallMimeTypes()

void InstallMimeTypes | ( | [in] sequence< string > | mimeTypes,
|  | [in] string | interaction
| ) |  |

Installs mimetype handlers from a configured software source.

Since
  LibreOffice 4.0

## ◆ InstallPackageFiles()

void InstallPackageFiles | ( | [in] sequence< string > | files,
|  | [in] string | interaction
| ) |  |

Installs local package sequence< string > files or service packs.

Since
  LibreOffice 4.0

## ◆ InstallPackageNames()

void InstallPackageNames | ( | [in] sequence< string > | packages,
|  | [in] string | interaction
| ) |  |

Installs sequence< string > packages from a configured software source.

Since
  LibreOffice 4.0

## ◆ InstallPrinterDrivers()

void InstallPrinterDrivers | ( | [in] sequence< string > | files,
|  | [in] string | interaction
| ) |  |

Installs printer drivers from a configured software source.

Since
  LibreOffice 4.0

## ◆ InstallProvideFiles()

void InstallProvideFiles | ( | [in] sequence< string > | files,
|  | [in] string | interaction
| ) |  |

Installs sequence< string > packages to provide sequence< string > files.

Since
  LibreOffice 4.0

## ◆ InstallResources()

void InstallResources | ( | [in] sequence< string > | types,
|  | [in] sequence< string > | resources,
|  | [in] string | interaction
| ) |  |

Installs resources of a given type from a configured software source.

Since
  LibreOffice 4.0

## ◆ RemovePackageByFiles()

void RemovePackageByFiles | ( | [in] sequence< string > | files,
|  | [in] string | interaction
| ) |  |

Removes sequence< string > packages that provide the given local sequence< string > files.

Since
  LibreOffice 4.0

The documentation for this interface was generated from the following file:

- org/freedesktop/PackageKit/XModify.idl